/* The container with the loader */
.ga-loader-container {
  position: relative;
  width: 100%; /* Adjust width as needed */
  height: 100%; /* Adjust height as needed */
  display: flex;
  justify-content: center;
  align-items: center;
}

/* The grey transparent overlay */
.ga-loader-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* Grey overlay with 50% transparency */
  z-index: 1; /* Position the overlay behind the loader */
  cursor: not-allowed;
}

/* The spinning loader */
.ga-loader {
  border: 8px solid #f3f3f3; /* Light grey background */
  border-top: 8px solid var(--dark_green); /* Blue color for the spinning effect */
  border-radius: 50%;
  width: 50px; /* Adjust size */
  height: 50px; /* Adjust size */
  animation: ga-loader-spin 2s linear infinite; /* The spinning animation */
  z-index: 2;
}

/* Keyframes for the spinning animation */
@keyframes ga-loader-spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.ga-loader-questionnaire-image-upload {
  position: absolute;
  top: 38%;
  left: 38%;
}